#!/bin/sh
# The contents of this file are subject to the Mozilla Public License Version 1.1
# (the "License"); you may not use this file except in compliance with the License.
# You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
# 
# Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
# WARRANTY OF ANY KIND, either express or implied. See the License for the specific
# language governing rights and limitations under the License.
# 
# The Original Code is the Venice Web Community System.
# 
# The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
# for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
# Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
# 
# Contributor(s): 
#

# Make sure the value of JAVA_HOME is set
if [ "x$JAVA_HOME" == "x" ]; then
  echo "You must set the value of the JAVA_HOME environment variable."
  exit 1
fi

# Make sure the value of TOMCAT_HOME is set
if [ "x$TOMCAT_HOME" == "x" ]; then
  echo "You must set the value of the TOMCAT_HOME environment variable."
  exit 1
fi

# Make sure we can find the JAR files we need
if [ ! -f $JAVA_HOME/lib/tools.jar ]; then
  echo "Java tools JAR file (tools.jar) not found in $JAVA_HOME/lib."
  exit 1
fi
if [ ! -f $TOMCAT_HOME/lib/ant.jar ]; then
  echo "Ant JAR file (ant.jar) not found in $TOMCAT_HOME/lib."
  exit 1
fi
if [ ! -f $TOMCAT_HOME/lib/servlet.jar ]; then
  echo "Java Servlets JAR file (servlet.jar) not found in $TOMCAT_HOME/lib."
  exit 1
fi

# Identify the custom class path components we need
CP=$TOMCAT_HOME/lib/ant.jar:$TOMCAT_HOME/lib/servlet.jar:$JAVA_HOME/lib/tools.jar

# Execute ANT to perform the requested build target
java -classpath $CP:$CLASSPATH org.apache.tools.ant.Main -Dtomcat.home=$TOMCAT_HOME "$@"
